## haskell-hadrian 9.4.7

=== debian/changelog ===
haskell-hadrian (9.4.7-3build2) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2023 08:37:23 +0100

haskell-hadrian (9.4.7-3build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Oct 2023 10:27:57 +0100

haskell-hadrian (9.4.7-3) unstable; urgency=medium

  * Enable GHCi on all platforms

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Oct 2023 14:18:18 +0300

haskell-hadrian (9.4.7-2) unstable; urgency=medium

  * Relax versioned dependency on GHC
  * Pass -DNOSMP to C compiler when needed

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 12 Oct 2023 18:13:26 +0300

haskell-hadrian (9.4.7-1) unstable; urgency=low

  * Initial release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 30 Sep 2023 18:13:35 +0300
