## haskell-hadrian 9.6.6

=== debian/changelog ===
haskell-hadrian (9.6.6-2) unstable; urgency=medium

  * Relax dependency on Cabal (Closes: #1084264)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 07 Oct 2024 20:05:07 +0300

haskell-hadrian (9.6.6-1) unstable; urgency=medium

  * Upload to unstable
  * Declare compliance with Debian policy 4.7.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 11 Sep 2024 15:17:30 +0300

haskell-hadrian (9.6.6-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2024 10:34:46 +0200

haskell-hadrian (9.6.5-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 02 May 2024 10:20:21 +0300

haskell-hadrian (9.6.4-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 13 Jan 2024 16:15:06 +0200

haskell-hadrian (9.6.3-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 18 Dec 2023 17:16:29 +0200

haskell-hadrian (9.4.8-1~exp1) experimental; urgency=medium

  * New upstream release
  * Support hurd-i386 (Closes: #1056306)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 16 Dec 2023 16:48:48 +0200
