=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libghc-shake-dev (<< 0.20),
  libghc-unordered-containers-dev (>= 0.2.1),
  libghc-unordered-containers-dev (<< 0.3),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.haskell.org/ghc/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hadrian
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hadrian]
