## haskell-hadrian 9.8.4

=== debian/changelog ===
haskell-hadrian (9.8.4-0~0exp1) experimental; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 11 Sep 2025 07:51:48 -0400
