=== debian/control ===
--- 
+++ 
@@ -14,7 +14,11 @@
  libghc-shake-dev (<< 0.20),
  libghc-unordered-containers-dev (>= 0.2.1),
  libghc-unordered-containers-dev (<< 0.3),
-Standards-Version: 4.7.0
+ libghc-base16-bytestring-dev (>= 0.1.1),
+ libghc-base16-bytestring-dev (<< 1.1.0.0),
+ libghc-cryptohash-sha256-dev (>= 0.11),
+ libghc-cryptohash-sha256-dev (<< 0.12),
+Standards-Version: 4.7.2
 Homepage: https://www.haskell.org/ghc/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hadrian
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hadrian]
