## haskell-hadrian 9.10.3

=== debian/changelog ===
haskell-hadrian (9.10.3-1~exp2) experimental; urgency=medium

  * Do not use cabal-install

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 27 Sep 2025 23:59:04 +0300

haskell-hadrian (9.10.3-1~exp1) experimental; urgency=medium

  * New upstream version.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 27 Sep 2025 15:19:01 +0300
