=== debian/control ===
Source: haskell-hadrian
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Ilias Tsitsimpis <iliastsi@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 ghc (>= 9.6),
 libghc-extra-dev (>= 1.4.7),
 libghc-shake-dev (>= 0.18.3),
 libghc-shake-dev (<< 0.20),
 libghc-unordered-containers-dev (>= 0.2.1),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-base16-bytestring-dev (>= 0.1.1),
 libghc-base16-bytestring-dev (<< 1.1.0.0),
 libghc-cryptohash-sha256-dev (>= 0.11),
 libghc-cryptohash-sha256-dev (<< 0.12),
Standards-Version: 4.7.2
Homepage: https://www.haskell.org/ghc/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hadrian
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hadrian]

Package: hadrian
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: build system for GHC
 Hadrian is a modular, statically-typed, extensible build system for GHC,
 introduced in the paper Non-recursive Make Considered Harmful. It consists of
 a Haskell executable implemented using the shake library, and is used to
 configure and build GHC.
