=== debian/rules ===
#!/usr/bin/make -f

SETUP := $(CURDIR)/setup
PKG_DB := $(CURDIR)/debian/packages.conf/
INSTDIR := $(CURDIR)/tmp/

define build
	$(SETUP) configure --package-db=$(PKG_DB) --prefix=$(INSTDIR) -O ${1} \
		&& $(SETUP) build --builddir=dist \
		&& $(SETUP) install --builddir=dist
endef


%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ghc -O -o $(SETUP) hadrian/Setup.hs
	ghc-pkg init $(PKG_DB)
	cd libraries/ghc-platform/ && $(call build)
	cd utils/ghc-toolchain/ && $(call build)
	cd hadrian && $(call build, -f-selftest -f-threaded)

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -f $(SETUP) hadrian/Setup.o hadrian/Setup.hi
	rm -rf libraries/ghc-platform/dist
	rm -rf utils/ghc-toolchain/dist
	rm -rf hadrian/dist
	rm -rf $(PKG_DB) $(INSTDIR)

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --no-automatic-dbgsym
