=== debian/watch ===
version=4
opts="pgpmode=none,dirversionmangle=s/-rc/~rc/" \
https://downloads.haskell.org/~ghc/(\d[\d.rc-]*)/ghc-(\d[\d.]*)-src.tar.(?:bz2|xz|gz) \
debian debian/uscan-repack.sh
